Subject: Re: [PATCH v2 net-next 3/4] net: mscc: ocelot: drop workaround for forcing RX flow control

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 14 Nov 2022 17:10:44 +0000

On Mon, Nov 14, 2022 at 07:07:29PM +0200, Vladimir Oltean wrote:
> As phylink gained generic support for PHYs with rate matching via PAUSE
> frames, the phylink_mac_link_up() method will be called with the maximum
> speed and with rx_pause=true if rate matching is in use. This means that
> setups with 2500base-x as the SERDES protocol between the MAC/PCS and
> the PHY now work with no need for the driver to do anything special.
> 
> Tested with fsl-ls1028a-qds-7777.dts.
> 
> Signed-off-by: Vladimir Oltean <[email-masked]>

LGTM.

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!